<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="12.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>
    </ProductVersion>
    <SchemaVersion>
    </SchemaVersion>
    <ProjectTypeGuids>{8BB0C5E8-0616-4F60-8E55-A43933E57E9C};{349c5851-65df-11da-9384-00065b846f21};{FAE04EC0-301F-11d3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
    <ProjectGuid>{43358C3B-4106-4493-858E-36D4974A2DF4}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>LightSwitchApplication</RootNamespace>
    <AssemblyName>Application.Server</AssemblyName>
    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
    <LightSwitchVersion>v4.5</LightSwitchVersion>
    <DefaultLanguage>en-US</DefaultLanguage>
    <SupportedCultures>en-US</SupportedCultures>
    <FileAlignment>512</FileAlignment>
    <IgnoreDeployManagedRuntimeVersion>True</IgnoreDeployManagedRuntimeVersion>
    <UseDeclareParametersXMLInMsDeploy>False</UseDeclareParametersXMLInMsDeploy>
    <LightSwitchDisplayName>Server</LightSwitchDisplayName>
    <LightSwitchProjectTypeV45>Server</LightSwitchProjectTypeV45>
    <MicrosoftSdkDir Condition=" '$(MicrosoftSdkDir)' == '' ">$([System.IO.Path]::Combine($(MSBuildProgramFiles32), 'Microsoft SDKs'))</MicrosoftSdkDir>
    <LightSwitchSDKPath Condition=" '$(LightSwitchSDKPath)' == '' ">$([System.IO.Path]::Combine($(MicrosoftSdkDir), 'LightSwitch', $(LightSwitchVersion)))</LightSwitchSDKPath>
    <LightSwitchSDKPath Condition=" '$(LightSwitchSDKPath)' != '' and !HasTrailingSlash('$(LightSwitchSDKPath)')">$(LightSwitchSDKPath)\</LightSwitchSDKPath>
    <NuGetPackagesFolder Condition=" Exists('..\Packages')">..\Packages\</NuGetPackagesFolder>
    <NuGetPackagesFolder Condition=" Exists('..\..\Packages')">..\..\Packages\</NuGetPackagesFolder>
    <WCFRIASERVICESSDKPath Condition=" '$(WCFRIASERVICESSDKPath)' == '' ">$(Registry:HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\WCFRIAServices\v1.0@InstallPath)</WCFRIASERVICESSDKPath>
    <WCFRIASERVICESSDKPath Condition=" '$(WCFRIASERVICESSDKPath)' == '' ">$(Registry:HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\WCFRIAServices\v1.0@InstallPath)</WCFRIASERVICESSDKPath>
    <UseIISExpress>true</UseIISExpress>
    <IISExpressSSLPort />
    <IISExpressAnonymousAuthentication />
    <IISExpressWindowsAuthentication />
    <IISExpressUseClassicPipelineMode />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <UseDesignTimeFeatures>true</UseDesignTimeFeatures>
    <NoWarn>1522</NoWarn>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <UseDesignTimeFeatures>false</UseDesignTimeFeatures>
    <NoWarn>1522</NoWarn>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="Microsoft.LightSwitch.Extensions.Server">
      <HintPath>..\_Pvt_Extensions\Microsoft.LightSwitch.Extensions\Server\Reference\Microsoft.LightSwitch.Extensions.Server.dll</HintPath>
    </Reference>
    <Reference Include="System">
      <ProjectCritical>True</ProjectCritical>
    </Reference>
    <Reference Include="System.ComponentModel.Composition">
      <ProjectCritical>True</ProjectCritical>
    </Reference>
    <Reference Include="System.ComponentModel.DataAnnotations">
      <ProjectCritical>True</ProjectCritical>
    </Reference>
    <Reference Include="System.Core">
      <ProjectCritical>True</ProjectCritical>
    </Reference>
    <Reference Include="System.Data">
      <ProjectCritical>True</ProjectCritical>
    </Reference>
    <Reference Include="System.Data.Entity">
      <ProjectCritical>True</ProjectCritical>
    </Reference>
    <Reference Include="System.Runtime.Serialization">
      <ProjectCritical>True</ProjectCritical>
    </Reference>
    <Reference Include="System.Xml">
      <ProjectCritical>True</ProjectCritical>
    </Reference>
    <Reference Include="System.Web">
      <ProjectCritical>True</ProjectCritical>
    </Reference>
    <Reference Include="PresentationCore">
      <ProjectCritical>True</ProjectCritical>
    </Reference>
    <Reference Include="Microsoft.CSharp">
      <ProjectCritical>True</ProjectCritical>
    </Reference>
    <Reference Include="Microsoft.LightSwitch">
      <HintPath>$(LightSwitchSDKPath)\Client\Microsoft.LightSwitch.dll</HintPath>
      <Private>True</Private>
      <ProjectCritical>True</ProjectCritical>
    </Reference>
    <Reference Include="Microsoft.LightSwitch.AppBridge">
      <HintPath>$(LightSwitchSDKPath)\Server\Microsoft.LightSwitch.AppBridge.dll</HintPath>
      <Private>True</Private>
      <ProjectCritical>True</ProjectCritical>
    </Reference>
    <Reference Include="Microsoft.LightSwitch.ExportProvider, Version=10.0.12.1, Culture=neutral, PublicKeyToken=31bf3856ad364e35">
      <HintPath>$(LightSwitchSDKPath)\Client\Microsoft.LightSwitch.ExportProvider.dll</HintPath>
      <SpecificVersion>True</SpecificVersion>
      <Private>True</Private>
      <ProjectCritical>True</ProjectCritical>
    </Reference>
    <Reference Include="Microsoft.LightSwitch.CodeMarker, Version=12.1.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35">
      <HintPath>$(LightSwitchSDKPath)\Client\Microsoft.LightSwitch.CodeMarker.dll</HintPath>
      <SpecificVersion>True</SpecificVersion>
      <Private>True</Private>
      <ProjectCritical>True</ProjectCritical>
    </Reference>
    <Reference Include="Microsoft.LightSwitch.ManifestService">
      <HintPath>$(LightSwitchSDKPath)\Server\Microsoft.LightSwitch.ManifestService.dll</HintPath>
      <Private>True</Private>
      <ProjectCritical>True</ProjectCritical>
    </Reference>
    <Reference Include="Microsoft.LightSwitch.Model.Xaml">
      <HintPath>$(LightSwitchSDKPath)\Server\Microsoft.LightSwitch.Model.Xaml.dll</HintPath>
      <Private>True</Private>
      <ProjectCritical>True</ProjectCritical>
    </Reference>
    <Reference Include="Microsoft.LightSwitch.Server">
      <HintPath>$(LightSwitchSDKPath)\Server\Microsoft.LightSwitch.Server.dll</HintPath>
      <Private>True</Private>
      <ProjectCritical>True</ProjectCritical>
    </Reference>
    <Reference Include="Microsoft.LightSwitch.Server.Host">
      <HintPath>$(LightSwitchSDKPath)\Server\Microsoft.LightSwitch.Server.Host.dll</HintPath>
      <Private>True</Private>
      <ProjectCritical>True</ProjectCritical>
    </Reference>
    <Reference Include="System.ServiceModel.PollingDuplex">
      <HintPath>$(LightSwitchSDKPath)\Server\System.ServiceModel.PollingDuplex.dll</HintPath>
      <ProjectCritical>True</ProjectCritical>
    </Reference>
    <Reference Include="Microsoft.Data.Edm">
      <HintPath>$(LightSwitchSDKPath)\Server\Microsoft.Data.Edm.dll</HintPath>
      <Private>True</Private>
      <ProjectCritical>True</ProjectCritical>
    </Reference>
    <Reference Include="Microsoft.Data.OData">
      <HintPath>$(LightSwitchSDKPath)\Server\Microsoft.Data.OData.dll</HintPath>
      <Private>True</Private>
      <ProjectCritical>True</ProjectCritical>
    </Reference>
    <Reference Include="Microsoft.Data.Services">
      <HintPath>$(LightSwitchSDKPath)\Server\Microsoft.Data.Services.dll</HintPath>
      <Private>True</Private>
      <ProjectCritical>True</ProjectCritical>
    </Reference>
    <Reference Include="Microsoft.Data.Services.Client">
      <HintPath>$(LightSwitchSDKPath)\Server\Microsoft.Data.Services.Client.dll</HintPath>
      <Private>True</Private>
      <ProjectCritical>True</ProjectCritical>
    </Reference>
    <Reference Include="System.IdentityModel.Tokens.Jwt">
      <HintPath>$(NuGetPackagesFolder)\System.IdentityModel.Tokens.Jwt.1.0.0\lib\net45\System.IdentityModel.Tokens.Jwt.dll</HintPath>
      <Private>True</Private>
      <ProjectCritical>True</ProjectCritical>
    </Reference>
    <Reference Include="System.Spatial">
      <HintPath>$(LightSwitchSDKPath)\Server\System.Spatial.dll</HintPath>
      <Private>True</Private>
      <ProjectCritical>True</ProjectCritical>
    </Reference>
    <Reference Include="System.ServiceModel.DomainServices.EntityFramework">
      <HintPath>$(WCFRIASERVICESSDKPath)\v1.0\Libraries\Server\System.ServiceModel.DomainServices.EntityFramework.dll</HintPath>
      <Private>True</Private>
      <ProjectCritical>True</ProjectCritical>
    </Reference>
    <Reference Include="System.ServiceModel.DomainServices.Hosting">
      <HintPath>$(WCFRIASERVICESSDKPath)\v1.0\Libraries\Server\System.ServiceModel.DomainServices.Hosting.dll</HintPath>
      <Private>True</Private>
      <ProjectCritical>True</ProjectCritical>
    </Reference>
    <Reference Include="System.ServiceModel.DomainServices.Hosting.OData">
      <HintPath>$(WCFRIASERVICESSDKPath)\v1.0\Libraries\Server\System.ServiceModel.DomainServices.Hosting.OData.dll</HintPath>
      <Private>True</Private>
      <ProjectCritical>True</ProjectCritical>
    </Reference>
    <Reference Include="System.ServiceModel.DomainServices.Server">
      <HintPath>$(WCFRIASERVICESSDKPath)\v1.0\Libraries\Server\System.ServiceModel.DomainServices.Server.dll</HintPath>
      <Private>True</Private>
      <ProjectCritical>True</ProjectCritical>
    </Reference>
    <Reference Include="Wijmo.CBA.BulletGraph.Common">
      <HintPath>..\_Pvt_Extensions\Wijmo.CBA.BulletGraph\Server\Reference\Wijmo.CBA.BulletGraph.Common.dll</HintPath>
    </Reference>
    <Reference Include="Wijmo.CBA.FlexChart.Common">
      <HintPath>..\_Pvt_Extensions\Wijmo.CBA.FlexChart\Server\Reference\Wijmo.CBA.FlexChart.Common.dll</HintPath>
    </Reference>
    <Reference Include="Wijmo.CBA.FlexGrid.Common">
      <HintPath>..\_Pvt_Extensions\Wijmo.CBA.FlexGrid\Server\Reference\Wijmo.CBA.FlexGrid.Common.dll</HintPath>
    </Reference>
    <Reference Include="Wijmo.CBA.FlexPie.Common">
      <HintPath>..\_Pvt_Extensions\Wijmo.CBA.FlexPie\Server\Reference\Wijmo.CBA.FlexPie.Common.dll</HintPath>
    </Reference>
    <Reference Include="Wijmo.CBA.Input.Common">
      <HintPath>..\_Pvt_Extensions\Wijmo.CBA.Input\Server\Reference\Wijmo.CBA.Input.Common.dll</HintPath>
    </Reference>
    <Reference Include="Wijmo.CBA.LinearGauge.Common">
      <HintPath>..\_Pvt_Extensions\Wijmo.CBA.LinearGauge\Server\Reference\Wijmo.CBA.LinearGauge.Common.dll</HintPath>
    </Reference>
    <Reference Include="Wijmo.CBA.Menu.Common">
      <HintPath>..\_Pvt_Extensions\Wijmo.CBA.Menu\Server\Reference\Wijmo.CBA.Menu.Common.dll</HintPath>
    </Reference>
    <Reference Include="Wijmo.CBA.RadialGauge.Common">
      <HintPath>..\_Pvt_Extensions\Wijmo.CBA.RadialGauge\Server\Reference\Wijmo.CBA.RadialGauge.Common.dll</HintPath>
    </Reference>
    <Reference Include="Wijmo.CBA.Select.Common">
      <HintPath>..\_Pvt_Extensions\Wijmo.CBA.Select\Server\Reference\Wijmo.CBA.Select.Common.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="DataSources\ApplicationData\_ApplicationDataService.lsml.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
  </ItemGroup>
  <ItemGroup>
    <LightSwitchModel Include="Properties\Service.lsml">
      <ProjectCritical>true</ProjectCritical>
    </LightSwitchModel>
  </ItemGroup>
  <ItemGroup>
    <Content Include="Web.config" />
    <LightSwitchModel Include="Properties\DataSources\ApplicationData.lsml" />
    <LightSwitchModel Include="DataSources\ApplicationData\GDPItems.lsml" />
    <LightSwitchModel Include="DataSources\ApplicationData\Fruits.lsml" />
    <LightSwitchModel Include="DataSources\ApplicationData\SalesSet.lsml" />
    <LightSwitchModel Include="DataSources\ApplicationData\Maths.lsml" />
    <LightSwitchModel Include="DataSources\ApplicationData\Bubbles.lsml" />
    <LightSwitchModel Include="DataSources\ApplicationData\FinanceDatas.lsml" />
    <LightSwitchModel Include="DataSources\ApplicationData\CountrySales.lsml" />
    <LightSwitchModel Include="DataSources\ApplicationData\MathFunctions.lsml" />
    <LightSwitchModel Include="DataSources\ApplicationData\Orders.lsml" />
    <LightSwitchModel Include="DataSources\ApplicationData\Shippers.lsml" />
    <LightSwitchModel Include="DataSources\ApplicationData\GDPItemsByCountries.lsml">
      <DependentUpon>GDPItems.lsml</DependentUpon>
    </LightSwitchModel>
    <LightSwitchModel Include="DataSources\ApplicationData\Countries.lsml" />
    <None Include="Web.Debug.config">
      <DependentUpon>Web.config</DependentUpon>
    </None>
    <None Include="Web.Release.config">
      <DependentUpon>Web.config</DependentUpon>
    </None>
    <Content Include="packages.config" />
    <_ServerFile Include="default.aspx" />
    <Compile Include="default.aspx.cs">
      <DependentUpon>default.aspx</DependentUpon>
      <SubType>ASPXCodeBehind</SubType>
    </Compile>
    <Compile Include="default.aspx.designer.cs">
      <DependentUpon>default.aspx</DependentUpon>
    </Compile>
  </ItemGroup>
  <ItemGroup />
  <PropertyGroup>
    <VisualStudioVersion Condition="'$(VisualStudioVersion)' == ''">12.0</VisualStudioVersion>
    <VSToolsPath Condition="'$(VSToolsPath)' == ''">$(MSBuildExtensionsPath32)\Microsoft\VisualStudio\v$(VisualStudioVersion)</VSToolsPath>
  </PropertyGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <Import Project="$(VSToolsPath)\WebApplications\Microsoft.WebApplication.targets" Condition="'$(VSToolsPath)' != ''" />
  <Import Project="$(MSBuildExtensionsPath32)\Microsoft\VisualStudio\LightSwitch\$(LightSwitchVersion)\Microsoft.LightSwitch.Build.Tasks.targets" />
  <ProjectExtensions>
    <VisualStudio>
      <FlavorProperties GUID="{349c5851-65df-11da-9384-00065b846f21}">
        <WebProjectProperties>
          <UseIIS>True</UseIIS>
          <AutoAssignPort>True</AutoAssignPort>
          <DevelopmentServerPort>0</DevelopmentServerPort>
          <DevelopmentServerVPath>/</DevelopmentServerVPath>
          <IISUrl>http://localhost:2502/</IISUrl>
          <NTLMAuthentication>False</NTLMAuthentication>
          <UseCustomServer>False</UseCustomServer>
          <CustomServerUrl>
          </CustomServerUrl>
          <SaveServerSettingsInUserFile>False</SaveServerSettingsInUserFile>
        </WebProjectProperties>
      </FlavorProperties>
      <FlavorProperties GUID="{8BB0C5E8-0616-4F60-8E55-A43933E57E9C}" Configuration="Debug|Any CPU">
        <SpecializedConfiguration />
      </FlavorProperties>
      <FlavorProperties GUID="{8BB0C5E8-0616-4F60-8E55-A43933E57E9C}" Configuration="Release|Any CPU">
        <SpecializedConfiguration />
      </FlavorProperties>
    </VisualStudio>
  </ProjectExtensions>
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>